WordPress-Wochenrückblick KW18: Zeitplan für 4.8 und mehr

Die Seite mit Infos zum 4.8-Release wurde diese Woche veröffentlicht. Danach ist der finale Release für den 8. Juni geplant.

Core

Erstes JavaScript-Meeting vom 2. Mai

Am 2. Mai hat der erste JavaScript-Chat stattgefunden. Das regelmäßige JavaScript-Meeting hat folgende Ziele:

  • Gängige Anforderungen identifizieren und Konsistenz zwischen Individuen und Projekten sicherstellen, die im Core stark JavaScript nutzen.
  • Diskutieren, welche »Basis«-APIs bereitgestellt werden müssen, um im Browser ähnliche Dinge zu ermöglichen wie über PHP.
  • Sich für Patterns und Tools/Frameworks entscheiden, um den modernen und zukünftigen Ansprüchen gerecht zu werden.
  • Verstehen, wie Themes und Plugins den Browser-Kontext zu nutzen planen, um Konflikte und Inkompatibilitäten zu vermeiden.

Neben den Zielen wurden noch drei Tickets besprochen, die sich um Actions und Filters, Datum-Handling und Internationalisierung drehen. Mehr Infos dazu gibt es im Beitrag »JavaScript Chat Summary: May 2nd« von Andrew Duthie.

Dev-Chat vom 3. Mai

Im Chat wurde zunächst berichtet, dass die Seite mit näheren Infos zu WordPress 4.8 live geschaltet wurde. Danach soll die erste Beta am 12. Mai erscheinen und der finale Release am 8. Juni. Idealerweise wird der Release das TinyMCE-Inline-Element/Link-Boundaries, die neuen Medien-Widgets, WYSIWYG im Text-Widget und das WordPress-Events-Update für das News-Widget enthalten.

Weitere Infos zu dem Meeting gibt es im Post »Dev Chat Summary: May 3rd (4.8 week 1)« von Jeffrey Paul.

Verschiedenes

Design

Verschiedenes

Mobile

Verschiedenes

Plugins

Verschiedenes

  • 2016 im Review. Hier wird gezeigt, wie viele Plugins eingereicht, zurückgewiesen, geschlossen und angenommen wurden.

WP-CLI

Verschiedenes

Das könnte auch interessant sein

2 Kommentare zu »WordPress-Wochenrückblick KW18: Zeitplan für 4.8 und mehr«

  1. Vitavinas

    wpvulndb.com gibt zu WordPress 4.7.4 folgende Warnung:
    SECURITY ALERT: Insecure WordPress version detected. Your site is running WordPress version 4.7.4, which has 1 known security vulnerabilities. You should upgrade WordPress as soon as possible.
    https://wpvulndb.com/wordpresses/474

    Bitte eine entsprechende Nachbesserung schnell vornehmen lassen.

Schreib einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.